# SafeStrings Class Reference

`#include <safestrings.h>`

## Public Member Functions

Construction/Destruction
| SafeStrings ()
| ~SafeStrings ()
General Methods
void | AppendString (const PString &newString, PBoolean splitString=false)
void | AppendString (const char *newString, PBoolean splitString=false)
PBoolean | GetNextString (PString &nextString)
PBoolean | IsEmpty ()
PBoolean | StringsAvailable ()
PString | GetFirstDeleteAll ()
void | GetAllDeleteAll (PStringArray &res)

## Protected Attributes

PMutex | accessMutex
PStringArray | data

## Detailed Description

This class is used to manage a list of strings in a thread safe fashion.

This class is thread safe.

## Constructor & Destructor Documentation

SafeStrings::SafeStrings | ( |  | ) |

Construct SafeStrings class

SafeStrings::~SafeStrings | ( |  | ) |

Destructor

## Member Function Documentation

void SafeStrings::AppendString | ( | const char * | newString,
|  | PBoolean | splitString = `false` |
| ) |  |  | `[inline]`

Add a new string to the list, in a thread safe fashion.

Parameters:

  newString | String to add to the list.
  splitString | If True, the string is added to the list, character by character.

void SafeStrings::AppendString | ( | const PString & | newString,
|  | PBoolean | splitString = `false` |
| ) |  |  |

Add a new string to the list, in a thread safe fashion.

Parameters:

  newString | String to add to the list.
  splitString | If True, the string is added to the list, character by character.

void SafeStrings::GetAllDeleteAll | ( | PStringArray & | res | ) |

Return the contents of this string array

PString SafeStrings::GetFirstDeleteAll | ( |  | ) |

Return the first string on list, and then delete all elements on the list

PBoolean SafeStrings::GetNextString | ( | PString & | nextString | ) |

Remove the last string from this list, in a thread safe fashion. Return true if succesfull

Parameters:

  nextString | resultant string.

PBoolean SafeStrings::IsEmpty | ( |  | ) |

Return True if this list is empty

PBoolean SafeStrings::StringsAvailable | ( |  | ) | `[inline]`

Return True if there is data ready to be read from the list

## Field Documentation

PMutex SafeStrings::accessMutex `[protected]`

Lock on this string array

PStringArray SafeStrings::data `[protected]`

Internal String array

The documentation for this class was generated from the following file:

- safestrings.h